<?xml version="1.0" encoding="UTF-8" ?> 
<!-- 
	TestBook.XSL: Formatting file for test books. 
  
  -->
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<html>
<body>
<!-- 
    For each testfixture:
    - print headline
    - create new table
  -->
<xsl:for-each select="/doc/testfixture">
  <a>
    <xsl:attribute name="name">
      <xsl:value-of select="@name" /> 
    </xsl:attribute>
    <h1><xsl:value-of select="@name" /></h1>
  </a>
  <table border="1" cellpadding="4" cellspacing="0">

  <!-- 
     For each test case:
     - new test case header (incl. name, summary, and requirement keys)
     - new table header (step, description, expected, result)
   -->
  <xsl:for-each select="test">
    <tr><td colspan="4">
      <b><xsl:value-of select="@name" /></b>
      <br><xsl:value-of select="summary" /></br>
      <font size="-1">
      <xsl:for-each select="requirement">
        <li><xsl:value-of select="current()" /></li>
      </xsl:for-each>
      </font>
    </td></tr>
    <tr bgcolor="#d0d0d0">
      <td><b>Step</b></td>
      <td><b>Description</b></td>
      <td><b>Expected</b></td>
      <td><b>Result</b></td>
   </tr>
    
    <!-- 
      For each test step:
      - output step number
      - copy description field
      - copy expected field
      - create result radio button
     -->
    <xsl:for-each select="step">
      <tr>
        <td align="center" bgcolor="#d0d0d0">
          <b><xsl:number value="position()" /></b>
        </td>
        <td valign="top"><xsl:copy-of select="description" /></td>
        <td valign="top"><xsl:copy-of select="expected" /></td>
        <td valign="bottom">
          <input type="radio" value="passed">
            <xsl:attribute name="name">
              <xsl:value-of select="concat(parent::*/@name, '_', position())" /> 
            </xsl:attribute>
            Passed 
          </input>
          <input type="radio" value="failed">
            <xsl:attribute name="name">
              <xsl:value-of select="concat(parent::*/@name, '_', position())" /> 
            </xsl:attribute>
            Failed 
          </input>
        </td>
      </tr>
    </xsl:for-each>
    <tr>
    <td colspan="4" height="20" /></tr>
  </xsl:for-each>
  </table>
</xsl:for-each>

</body>
</html>
</xsl:template>
</xsl:stylesheet>
