using System; 
using System.IO;
using System.Xml;
using System.Xml.XPath;
using System.Xml.Xsl;

namespace FormatXML
{
	/// <summary>
	/// Tool that formats an XML document using an XSL stylesheet.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			if (args.Length != 2)
			{
				Console.Error.WriteLine("Missing or invalid arguments!");
				return;
			}

			try
			{
				XslTransform xslt = new XslTransform();
				xslt.Load(args[1]);
				XPathDocument xpathdocument = new
					XPathDocument(args[0]);
				XmlTextWriter writer = new XmlTextWriter(Console.Out);
				writer.Formatting=Formatting.Indented;

				xslt.Transform(xpathdocument, null, writer, null);
			} 
			catch
			{
				Console.Error.WriteLine("Error reading input file!");
			}
		}
	}
}
